import 'package:flutter/material.dart';

class BaseScrollbar extends StatelessWidget {
  const BaseScrollbar({super.key, required this.child, this.thumbColor});

  final Widget child;
  final Color? thumbColor;

  @override
  Widget build(BuildContext context) {
    return MediaQuery.removePadding(
      context: context,
      removeTop: true,
      removeBottom: true,
      child: RawScrollbar(
        thumbColor: thumbColor ?? const Color(0xff4ECA8C),
        radius: const Radius.circular(8.0),
        thickness: 4.0,
        thumbVisibility: false,
        child: child,
      ),
    );
  }
}
